Page MenuHomePhabricator

rhg: make it possible to opt out of `rhg cat`
ClosedPublic

Authored by aalekseyev on Oct 27 2021, 2:37 PM.

Details

Summary

The reason an opt-out is needed is that there are still behavior
differences between rhg cat and hg cat:

  • it does not interpret relative paths correctly
  • it does not interpret patterns correctly, e.g. 're:foobar$' would be interpreted as a verbatim filename
  • it does not implement the correct semantics of relpath matcher: if given a directory, hg concatenates all files in this directory, while rhg simply complains

Diff Detail

Repository
rHG Mercurial
Branch
stable
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

aalekseyev created this revision.Oct 27 2021, 2:37 PM
aalekseyev edited the summary of this revision. (Show Details)Oct 27 2021, 2:42 PM
aalekseyev updated this revision to Diff 30996.

The first two bullet points from the description should not be hard to fix (in fact I have a draft fix), but when we ran into the third bullet point we realized that we just want to disable hg cat for now in our setup.

aalekseyev retitled this revision from rhg: make it possible to opt out of [rhg cat] to rhg: make it possible to opt out of `rhg cat`.Oct 27 2021, 2:54 PM
aalekseyev edited the summary of this revision. (Show Details)
spectral accepted this revision.Oct 29 2021, 4:29 PM
SimonSapin accepted this revision.Nov 2 2021, 5:47 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.